/*
 * str_util.h
 *
 *  Created on: 22//11/2021
 *      Author: alexrayne <alexraynepe196@gmail.com>
  ------------------------------------------------------------------------
    Copyright (c) alexrayne
 */

#ifndef LIB_STR_UTIL_H_
#define LIB_STR_UTIL_H_


char* str_insertc(char* s, char x);
char* str_rinsertc(char* s, unsigned fromtail, char x);


/* some compilers absent this functions */
char*  itoa(int, char *, int);
char*  utoa(unsigned, char *, int);

char*  iltoa(long, char *, int);
char*  ultoa(unsigned long, char *, int);


char*  illtoa(long long, char *, int);
char*  ulltoa(unsigned long long , char *, int);

/// @brief dump hex bytes low cap
/// @return length of dump str
int  sldump_hex(char* buf, unsigned bufsz, const void* data, unsigned sz);
int  sldump_HEX(char* buf, unsigned bufsz, const void* data, unsigned sz);

#endif /* LIB_STR_UTIL_H_ */
